Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159922 - RFE: 2-Pass scanning of rpms for filerequires
Summary: RFE: 2-Pass scanning of rpms for filerequires
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: createrepo
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-09 10:21 UTC by Phil Knirsch
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-28 19:47:46 UTC


Attachments (Terms of Use)
Patch to add 2 pass scanning of rpms for filerequires to createrepo (deleted)
2005-06-09 10:23 UTC, Phil Knirsch
no flags Details | Diff

Description Phil Knirsch 2005-06-09 10:21:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
createrepo currently uses several regexes to determine which files need to be included into the primary.xml headers.

This works for small installations or updates, but as soon as gnome applications or httpd e.g. are involved this fails and yum has to revert to the complete filelist.

I've written a patch for createrepo that does a 2 pass run over the rpms. In the first run it grabs all filerequires of every package and adds them to the regex set for the otherwise unchanged normal pass.

Patch has been tested and works correctly.

Generally speaking this allows complete dependancy resolution using just the primary.xml for one repo.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to install openmotif with yum on a system without xorg-x11-libs installed
2. See yum needing to revert to the filelist.xml as /usr/X11R6/lib/X11/XKeysymDB isn't in the primary.xml for xorg-x11-libs
3. Use the repo created with the patched createrepo and see it working. ;)
  

Actual Results:  Yum needs to fall back to filelist.xml


Expected Results:  The primary.xml should have already contained all know filerequires in addition to the autogenerated regex ones.

Additional info:

Comment 1 Phil Knirsch 2005-06-09 10:23:00 UTC
Created attachment 115256 [details]
Patch to add 2 pass scanning of rpms for filerequires to createrepo

Comment 2 Paul Nasrat 2005-06-09 12:03:41 UTC
Phil for future reference - duke has it's own bugzilla for metadata/yum.  There
is also the rpm metadata and yum-devel lists which are probably better places
for discussion on such things.

The selection in createrepo was done deliberately please see the archives for
details.

https://lists.dulug.duke.edu/mailman/listinfo/rpm-metadata
https://lists.dulug.duke.edu/mailman/listinfo/yum-devel

Please consieder raising directly upstream as with normal open source practice.

Comment 3 Phil Knirsch 2005-06-09 12:18:46 UTC
Hi Paul!

Thanks for directing me there, i just wanted to make sure i don't forget putting
down the ideas i had somehwere "presistent".

I'll subscribe to the 2 mailinglists and will post my ideas there as i
completely agree that if at all this needs to be done upstream.

Sorry for the bugzilla spam, but it's the only "safe" place i know to keep these
things persistent. :)

Read ya, Phil

Comment 4 Paul Nasrat 2005-06-09 12:23:28 UTC
I understand wanting to keep things persistent - many projects have there own
bugzilla too:

https://devel.linux.duke.edu/bugzilla/enter_bug.cgi?product=repo%20metadata



Comment 5 Paul Nasrat 2005-11-28 19:47:46 UTC
This is being pursued upstream.


Note You need to log in before you can comment on or make changes to this bug.